Skip to main content
POST
/
v0
/
wallet
/
transfer-offers
/
{tracking_id}
/
status
/v0/wallet/transfer-offers/{tracking_id}/status
curl --request POST \
  --url https://example.com/api/validator/v0/wallet/transfer-offers/{tracking_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "transaction_id": "<string>",
  "contract_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token as described in spliceAppBearerAuth [blocked]. The subject of the token must be ledger API user of the user whose wallet the endpoint affects.

Path Parameters

tracking_id
string
required

Response

An offer with this tracking id is known. Check the response for its status.

status
string
required

The status of the transfer offer. created: The offer has been created and is waiting for the receiver to accept it. contract_id points to the contract_id of the offer and transaction_id to the transaction that created it. accepted: The offer has been accepted by the receiver and is waiting for the wallet automation to complete it by delivering the offered Amulet. contract_id points to the contract id of the accepted offer and transaction_id to the transaction that accepted it completed: The transfer has been completed and the CC amount has been transferred to the receiver. contract_id points to the contract id of the created amulet for the receiver and transaction_id to the transaction of the transfer. failed: The transfer has failed permanently and no CC has been transferred. Refer to failure_reason for details. A new transfer offer can be created with a different tracking_id.

transaction_id
string
required

Id of the transaction that created the transfer offer

contract_id
string
required

Contract id of the created transfer offer